/*
Theme Name: Divi Child
Version: 1.03
Description: A child theme of Divi
Template: Divi
Author: Webexec Webmaster
*/
@import url("../Divi/style.css");

/*** TOPBAR & HEADER ***/
/* Hide topbar on scroll */
#top-header {
	overflow:hidden;
	max-height: 50px;
	transition: max-height 1s ease-in-out;
}
#top-header.et-fixed-header {
	max-height:0;
}
#top-header {
    z-index: 9;
}

/* Remove cart icon from topbar */
.et-cart-info { 
	display:none; 
}
 
/* Sticky Main Header */ 
@media all and (min-width: 1280px) {
	#main-header {
		transition: top 1s ease-in-out;
		-moz-transition: top 1s ease-in-out;
		-webkit-transition: top 1s ease-in-out;
	}
	#main-header.et-fixed-header {
		top: 0 !important;
	}
	.admin-bar #main-header.et-fixed-header {
		top: 32px !important;
	}
}
/*** Sticky Main header tablet and mobile  ***/
@media all and (max-width: 1280px) {
	.et_non_fixed_nav.et_transparent_nav #main-header, 
	.et_non_fixed_nav.et_transparent_nav #top-header, 
	.et_fixed_nav #main-header, .et_fixed_nav #top-header {
		position: fixed;
	}
	#main-header.et-fixed-header {
		top: 0 !important;
		height: 62px;
		transition: 1s ease-in-out;
		-moz-transition: 1s ease-in-out;
		-webkit-transition: 1s ease-in-out;
	}
	#et-secondary-menu {
		display: inline-block !important;
		float: right;
	}
}

/* Mobile top header container full width */
@media all and (max-width: 768px) {
	/* Mobile phones */
	#top-header .container {
    	text-align: left;
		width: 96%;
	}
	#top-header #et-info {
    	float: left;
	}
	#top-header .et-cart-info {
		float: right;
		margin-top: -2px;
	}
	/* Fix logo flow issue */
	.et_header_style_left .logo_container{
		padding: 0;
		width: 75%;
		float: left;
	}
	/* Increase width of mobile header */
	.container.et_menu_container {
		width: 96%;
	}
	/* Max mobile logo width */
	.et_header_style_left #logo, 
	.et_header_style_split #logo {
		max-width: 100%;
	}
	#et_top_search {
    	margin-right: 20px;
	}
	#top-menu, .et-menu, 
	nav#top-menu-nav, nav.et-menu-nav {
	    margin: -12px 0 0 0;
	}
}


/*** MENU ***/
/* Make the Divi mobile dropdown menu scrollable */
.et_mobile_menu {
	overflow: scroll !important;
	max-height: 80vh;
	}


/*** BODY ***/
/*** Make Image Modules Fill The Column Height ***/
/* Set the height of the image module */
.full-height-image-column {
	height: 100%;
}
/* Set the height of the image container */
.full-height-image-column .et_pb_image_wrap {
	height: 100%;
}
/* Set the height and fit of the actual image */
.full-height-image-column img {
	object-fit: cover;
	height: 100%;
}


/*** FOOTER ***/
/* Adjust Footer Menu Spacing */
@media screen and (min-width: 981px) {
    #footer-widgets {
        padding-top: 1%!important;
    }
    .footer-widget {
        margin-bottom: 1%!important;
    }
}
